summaryrefslogtreecommitdiff
path: root/sysroot.check
diff options
context:
space:
mode:
authorAdam Coldrick <adam.coldrick@codethink.co.uk>2015-06-02 13:52:51 +0000
committerAdam Coldrick <adam.coldrick@codethink.co.uk>2015-06-02 13:52:51 +0000
commit0cd8880023fc65ec581da95dd49a58b5996a1279 (patch)
treeab2c40dd442b044e12b4338fd55cab2dabf031c6 /sysroot.check
parent4f43fdd08770c113f7443fecbda43d4316091d4b (diff)
parent30cba5d9a8757f6bafc8079377aa3d6705e8364c (diff)
downloaddefinitions-0cd8880023fc65ec581da95dd49a58b5996a1279.tar.gz
Put the deployment extensions from morphlib in definitions
This merge commit merges the deployment extensions and all relevant history from morphlib into definitions.
Diffstat (limited to 'sysroot.check')
-rwxr-xr-xsysroot.check23
1 files changed, 23 insertions, 0 deletions
diff --git a/sysroot.check b/sysroot.check
new file mode 100755
index 00000000..71b35175
--- /dev/null
+++ b/sysroot.check
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Copyright (C) 2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Preparatory checks for Morph 'sysroot' write extension
+
+set -eu
+
+if [ "$UPGRADE" == "yes" ]; then
+ echo >&2 "ERROR: Cannot upgrade a sysroot deployment"
+ exit 1
+fi